rem stub 06-06-2008 
rem Advanced MD Video Recording for Canon S series 
rem 1. Video Button instead of Shoot_Full  
rem 2. Stop Video Recording if MD is zero 

@title Advanced MD Video Recording

@param a   
@default a 6 
@param b   
@default b 4 
rem : 10=Lightning, 12=Sunshine, 24=Cloudy, 36=Dawn/Dusk 
@param c  (0-255) 
@default c 24 
@param d  (mSec) 
@default d 1 
@param e  (.1 Sec) 
@default e 1 
@param f   
@default f 8 
@param g (U=0,Y=1,V=2) 
@default g 1 
@param h   (Sec) 
@default h 1 

if m<0 then m=0 
if s<0 then s=0 
if a<1 then a=1 
if b<1 then b=1 
if c<0 then c=0 
if e<1 then e=1 
if f<1 then f=1 
if g<0 then g=0 
if g>5 then g=5 
if h<0 then h=0 

rem l=60000*m+1000*s 
rem if l<1000 then l=1000 

e=e*100 

sleep h*1000 

rem time in msecs md will detect 
x=1000 

i=0 
rem click "shoot_full" 
rem ...        
rem         
rem        
rem ...        
rem       
while 1 
:loop_start
             t=0 
             print " ..." 

rem              /--/-columns, rows to split picture into
rem              |  |
rem              |  |  measure mode (Y,U,V R,G,B) - U-0, Y-1, V-2, 3-R, 4-G, 5-B
rem              |  |  |                     
rem              |  |  |  timeout
rem              |  |  |  |  comparison interval (msec)
rem              |  |  |  |  |  threshold ( difference in cell to trigger detection)
rem              |  |  |  |  |  |  draw_grid (0-no, 1-yes)
rem              |  |  |  |  |  |  |  return variable. number of cells with motion detected
rem              |  |  |  |  |  |  |  |
rem              |  |  |  |  |  |  |  |  VVVVVV  OPTIONAL PARAMETERS: VVVV
rem              |  |  |  |  |  |  |  |
rem              |  |  |  |  |  |  |  |  region (masking) mode: 0-no regions, 1-include,  2-exclude
rem              |  |  |  |  |  |  |  |  |  region first column
rem              |  |  |  |  |  |  |  |  |  |  region first row
rem              |  |  |  |  |  |  |  |  |  |  |   region last column
rem              |  |  |  |  |  |  |  |  |  |  |   |    region last row
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   parameters- 1-make immediate shoot, 2-log debug information into file. OR-ed values are accepted
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   |  pixels step - speed vs. Accuracy adjustments (1-use every pixel, 2-use every second pixel, etc)
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   |  |  number of milliseconds to wait before begin triggering - can be useful for calibration with "draw_grid" option
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   |  |  |
rem              V  V  V  V  V  V  V  V  V  V  V   V    V   V  V  V
md_detect_motion a, b, g, x, d, c, 1, t, 0, 1, 1,  a,   b,  0, f, e 

             if t>0 then 
                 i=i+1          
                 print " " 
                 print "Video", i, "(blocks=", t, ")" 
                 click "video" 

:loop_stop
                 if t>0 then 
                    print " ..." 
                    t=0

rem              /--/-columns, rows to split picture into
rem              |  |
rem              |  |  measure mode (Y,U,V R,G,B) - U-0, Y-1, V-2, 3-R, 4-G, 5-B
rem              |  |  |                     
rem              |  |  |  timeout
rem              |  |  |  |  comparison interval (msec)
rem              |  |  |  |  |  threshold ( difference in cell to trigger detection)
rem              |  |  |  |  |  |  draw_grid (0-no, 1-yes)
rem              |  |  |  |  |  |  |  return variable. number of cells with motion detected
rem              |  |  |  |  |  |  |  |
rem              |  |  |  |  |  |  |  |  VVVVVV  OPTIONAL PARAMETERS: VVVV
rem              |  |  |  |  |  |  |  |
rem              |  |  |  |  |  |  |  |  region (masking) mode: 0-no regions, 1-include,  2-exclude
rem              |  |  |  |  |  |  |  |  |  region first column
rem              |  |  |  |  |  |  |  |  |  |  region first row
rem              |  |  |  |  |  |  |  |  |  |  |   region last column
rem              |  |  |  |  |  |  |  |  |  |  |   |    region last row
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   parameters- 1-make immediate shoot, 2-log debug information into file. OR-ed values are accepted
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   |  pixels step - speed vs. Accuracy adjustments (1-use every pixel, 2-use every second pixel, etc)
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   |  |  number of milliseconds to wait before begin triggering - can be useful for calibration with "draw_grid" option
rem              |  |  |  |  |  |  |  |  |  |  |   |    |   |  |  |
rem              V  V  V  V  V  V  V  V  V  V  V   V    V   V  V  V
md_detect_motion a, b, g, x, d, c, 1, t, 0, 1, 1,  a,   b,  0, f, e 

                    print "(blocks=", t, ")" 
                    if t=0 then 
                     print "  (blocks=", t, ")" 
                     click "video"
                     goto "loop_start"
                    endif
                    if t>0 then 
                     goto "loop_stop"
                    endif
                 endif 
             endif 
wend
